summaryrefslogtreecommitdiffstats
path: root/games/xmoto
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 14:28:24 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:28:24 +0200
commit8483165088901c77f70b5579477b4c0c6f7fe785 (patch)
tree7cafb6b35a505a7d118faf1dab58ac648e1abb57 /games/xmoto
parent081c60bf85c2e9c73ff8ed5e1f261be34bb1984b (diff)
downloadslackbuilds-8483165088901c77f70b5579477b4c0c6f7fe785.tar.gz
slackbuilds-8483165088901c77f70b5579477b4c0c6f7fe785.tar.xz
games/xmoto: Initial import
Diffstat (limited to 'games/xmoto')
-rw-r--r--games/xmoto/README19
-rw-r--r--games/xmoto/config.dat11
-rw-r--r--games/xmoto/doinst.sh5
-rw-r--r--games/xmoto/slack-desc9
-rw-r--r--games/xmoto/xmoto.SlackBuild88
-rw-r--r--games/xmoto/xmoto.info8
6 files changed, 140 insertions, 0 deletions
diff --git a/games/xmoto/README b/games/xmoto/README
new file mode 100644
index 0000000000..b53091ab61
--- /dev/null
+++ b/games/xmoto/README
@@ -0,0 +1,19 @@
+X-Moto is a challenging 2D motocross platform game, where physics play an all
+important role in the gameplay. You need to control your bike to its limit, if
+you want to have a chance finishing the more difficult of the challenges.
+
+IMPORTANT:
+X-Moto recently changed its hosting to tuxfamily.org. As a result, for X-Moto
+to connect to this new server, you have to update the file 'config.dat' located
+at ~/.xmoto/config.dat. You can open this file and replace all the occurences
+of xmoto.free.fr with xmoto.tuxfamily.org, or if you don't know how to do that,
+just replace the file config.dat with the one provided in the X-Moto SlackBuild
+tar.gz archive (you will lose your configuration, but not your highscores).
+Moreover, you should remove the file rooms.xml next to this one.
+This is only necessary if you want to enable X-Moto to be able to connect to
+the internet. (from http://xmoto.tuxfamily.org)
+
+Requirements:
+ >=lua-5.1 (available @ SlackBuilds.org)
+ >=ode-0.7 (available @ SlackBuilds.org)
+
diff --git a/games/xmoto/config.dat b/games/xmoto/config.dat
new file mode 100644
index 0000000000..952b1e65da
--- /dev/null
+++ b/games/xmoto/config.dat
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="utf-8"?>
+
+<userconfig>
+ <var name="WebHighscoresURL" value="http://xmoto.tuxfamily.org/highscores.xml"/>
+ <var name="WebLevelsURL" value="http://xmoto.tuxfamily.org/levels.xml"/>
+ <var name="WebThemesURL" value="http://xmoto.tuxfamily.org/themes.xml"/>
+ <var name="WebThemesURLBase" value="http://xmoto.tuxfamily.org/sprites"/>
+ <var name="WebRoomsURL" value="http://xmoto.tuxfamily.org/rooms.xml"/>
+ <var name="WebHighscoreUploadURL" value="http://xmoto.tuxfamily.org/tools/UploadReplay.php"/>
+</userconfig>
+
diff --git a/games/xmoto/doinst.sh b/games/xmoto/doinst.sh
new file mode 100644
index 0000000000..3412314ed0
--- /dev/null
+++ b/games/xmoto/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/xmoto/slack-desc b/games/xmoto/slack-desc
new file mode 100644
index 0000000000..80cf668502
--- /dev/null
+++ b/games/xmoto/slack-desc
@@ -0,0 +1,9 @@
+xmoto: xmoto (2D motocross platform game)
+xmoto:
+xmoto: X-Moto is a challenging 2D motocross platform game, where physics play
+xmoto: an all important role in the gameplay. You need to control your bike
+xmoto: to its limit, if you want to have a chance finishing the more difficult
+xmoto: of the challenges.
+xmoto:
+xmoto:
+xmoto:
diff --git a/games/xmoto/xmoto.SlackBuild b/games/xmoto/xmoto.SlackBuild
new file mode 100644
index 0000000000..f8d985ca55
--- /dev/null
+++ b/games/xmoto/xmoto.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+set -e
+
+NAME=xmoto
+VERSION=0.2.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG $TMP/$NAME-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar zxvf $CWD/$NAME-$VERSION-src.tar.gz
+cd $NAME-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib/games \
+ --datadir=/usr/share/games \
+ --datarootdir=/usr \
+ --docdir=/usr/doc/$NAME-$VERSION \
+ --enable-threads=posix \
+ --with-enable-www=1 \
+ --with-enable-zoom=1
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/{pixmaps,applications}
+install -m 0644 extra/$NAME.xpm $PKG/usr/share/pixmaps/
+install -m 0644 extra/$NAME.desktop $PKG/usr/share/applications/
+
+# Fix path to icon in desktop file
+sed -i 's|Icon=xmoto.xpm|Icon=/usr/share/pixmaps/xmoto.xpm|' \
+ $PKG/usr/share/applications/$NAME.desktop
+
+# X-Moto doesn't like to honour the locale options that
+# the configure script says it does.
+mv $PKG/usr/share/games/locale $PKG/usr/share
+
+# Man pages are already gzipped, but there's one small problem
+mv $PKG/usr/man/mang $PKG/usr/man/man6
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING INSTALL NEWS README TODO ChangeLog \
+ $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/xmoto/xmoto.info b/games/xmoto/xmoto.info
new file mode 100644
index 0000000000..8d59967987
--- /dev/null
+++ b/games/xmoto/xmoto.info
@@ -0,0 +1,8 @@
+PRGNAM="xmoto"
+VERSION="0.2.4"
+HOMEPAGE="http://xmoto.tuxfamily.org/"
+DOWNLOAD="http://dl.sourceforge.net/xmoto/xmoto-0.2.4-src.tar.gz"
+MD5SUM="78f776695a664b855e3659df25cc6d82"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="robw810"